Project Chrono: chrono::ChLoaderUV Class Reference

Public Member Functions | Public Attributes | List of all members
chrono::ChLoaderUV Class Referenceabstract

## Description

Loaders for ChLoadableUV objects (which support surface loads).

`#include <ChLoaderUV.h>`

Inheritance diagram for chrono::ChLoaderUV:
[legend]
Collaboration diagram for chrono::ChLoaderUV:
[legend]

## Public Member Functions
| ChLoaderUV (std::shared_ptr< ChLoadableUV > mloadable)
virtual void | ComputeF (double U, double V, ChVectorDynamic<> &F, ChVectorDynamic<> *state_x, ChVectorDynamic<> *state_w)=0
| Evaluate F = F(u,v) for this line load.
void | SetLoadable (std::shared_ptr< ChLoadableUV > mloadable)
virtual std::shared_ptr< ChLoadable > | GetLoadable () override
std::shared_ptr< ChLoadableUV > | GetLoadableUV ()
Public Member Functions inherited from chrono::ChLoader
virtual void | ComputeQ (ChVectorDynamic<> *state_x, ChVectorDynamic<> *state_w)=0
virtual bool | IsStiff ()

## Public Attributes
std::shared_ptr< ChLoadableUV > | loadable
Public Attributes inherited from chrono::ChLoader
ChVectorDynamic | Q

## Member Function Documentation

## ◆ ComputeF()

virtual void chrono::ChLoaderUV::ComputeF | ( | double | U,
|  | double | V,
|  | ChVectorDynamic<> & | F,
|  | ChVectorDynamic<> * | state_x,
|  | ChVectorDynamic<> * | state_w )
| pure virtual

Evaluate F = F(u,v) for this line load.

The vector F is set to zero on entry. The function provided by derived classes is called by ComputeQ to perform integration over the domain.

Parameters

  U | parametric coordinate in surface
  V | parametric coordinate in surface
  F | result vector, size = field dim of loadable
  state_x | if != 0, update state (pos. part) to this, then evaluate F
  state_w | if != 0, update state (speed part) to this, then evaluate F

Implemented in chrono::ChLoaderForceOnSurface, and chrono::ChLoaderPressure.

## ◆ GetLoadable()

virtual std::shared_ptr< ChLoadable > chrono::ChLoaderUV::GetLoadable | ( |  | ) |
| inlineoverridevirtual

Implements chrono::ChLoader.

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/physics/ChLoaderUV.h